Redmine - Defect #30474

IssuesControllerTest#test_index_sort_by total_estimated_hours tests practically nothing

2019-01-21 16:35 - Go MAEDA

Status: Closed Start date:
Priority: Normal Due date:
Assignee: Go MAEDA % Done:
Category: Code cleanup/refactoring Estimated time:
Target version: 4.1.0

Resolution: Affected version:
Description

IssuesControllerTest#test_index_sort_by_total_estimated_hours tries to test if the issues list is sorted by estimated hours, but it

actually does not test anything.

In test/fixtures/issues.yml, all objects don't have estimate_hours value. As a result, the content of the array hours is always [nil, nil,

nil, nil. nil]. Since all values in the array are the same, you cannot check whether the sorting works well or not.

def test_index_sort_by_total_estimated_hours
get :index, :params => {
:sort => 'total_estimated_hours:desc'
}
assert_response :success
hours = issues_in_list.map(&:total_estimated_hours)
assert_equal hours.sort.reverse, hours
end

Associated revisions

Revision 17837 - 2019-01-22 09:23 - Go MAEDA

IssuesControllerTest#test_index_sort_by_total_estimated_hours tests nothing (#30474).

Patch by Go MAEDA.

History

#1 - 2019-01-22 02:57 - Go MAEDA
- File fix-30474.diff added

Here is a patch to fix this. After applying this patch, the value of hours array is [200.0, 2.0, 1.0, 0.5] and the test can properly check the order of

issues.

#2 - 2019-01-22 06:59 - Go MAEDA

- Target version set to 4.1.0

Setting the target version to 4.1.0.

#3 - 2019-01-22 09:24 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed.

Files

fix-30474.diff 1.33 KB 2019-01-22 Go MAEDA
